package com.doc.system.service.impl;

import com.doc.system.domain.SysAlarm;
import com.doc.system.mapper.SysAlarmMapper;
import com.doc.system.service.ISysAlarmService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 系统告警Service业务层处理
 *
 * @author wukai
 * @date 2023-11-24
 */
@Service
public class SysAlarmServiceImpl implements ISysAlarmService {
    @Resource
    private SysAlarmMapper sysAlarmMapper;

    /**
     * 查询系统告警
     *
     * @param alarmId 系统告警主键
     * @return 系统告警
     */
    @Override
    public SysAlarm selectSysAlarmByAlarmId(Long alarmId) {
        return sysAlarmMapper.selectSysAlarmByAlarmId(alarmId);
    }

    /**
     * 查询系统告警列表
     *
     * @param sysAlarm 系统告警
     * @return 系统告警
     */
    @Override
    public List<SysAlarm> selectSysAlarmList(SysAlarm sysAlarm) {
        return sysAlarmMapper.selectSysAlarmList(sysAlarm);
    }

    /**
     * 新增系统告警
     *
     * @param sysAlarm 系统告警
     * @return 结果
     */
    @Override
    public int insertSysAlarm(SysAlarm sysAlarm) {
        return sysAlarmMapper.insertSysAlarm(sysAlarm);
    }

    /**
     * 修改系统告警
     *
     * @param sysAlarm 系统告警
     * @return 结果
     */
    @Override
    public int updateSysAlarm(SysAlarm sysAlarm) {
        return sysAlarmMapper.updateSysAlarm(sysAlarm);
    }

    /**
     * 批量删除系统告警
     *
     * @param alarmIds 需要删除的系统告警主键
     * @return 结果
     */
    @Override
    public int deleteSysAlarmByAlarmIds(Long[] alarmIds) {
        return sysAlarmMapper.deleteSysAlarmByAlarmIds(alarmIds);
    }

    /**
     * 删除系统告警信息
     *
     * @param alarmId 系统告警主键
     * @return 结果
     */
    @Override
    public int deleteSysAlarmByAlarmId(Long alarmId) {
        return sysAlarmMapper.deleteSysAlarmByAlarmId(alarmId);
    }
}
